# Overview
The [CausalPlayground](https://github.com/sa-and/CausalPlayground) library serves as a tool for causality research, focusing on the interactive exploration of structural 
causal models (SCMs). It provides extensive functionality for creating, manipulating and sampling SCMs, seamlessly 
integrating them with the Gymnasium framework. Users have complete control over SCMs, enabling precise manipulation and
interaction with causal mechanisms. Additionally, CausalPlayground offers a range of useful helper functions for generating 
diverse instances of SCMs and DAGs, facilitating quantitative experimentation and evaluation. Notably, the library is 
optimized for (but not limited to) easy integration with reinforcement learning methods, enhancing its utility in active inference and 
learning settings. Find the complete API documentation and a quickstart guide [here](https://sa-and.github.io/CausalPlayground/).

# Installation guide
In your python environment `pip install causal-playground`.

# Contributing
Contributions are highly welcomed and encouraged! To contribute to the project, please follow the following steps:

- Fork the project.
- Create a local branch `my-awesome-new-feature`.
- Implement your new feature in the newly created branch.
- Make sure you provide sufficient documentation and test-cases.
- Open a pull request.

Alternatively, you can open a well-described issue.

# Citing this work
If you are using this library, please consider citing us:
TODO
